#!/usr/bin/env kjscmd

function item( parent )
{
    var hbox = new QHBox( parent  );

    var led = new KLed( hbox );
    var btn = new QCheckBox( hbox );
    btn.checked = true;
    btn.text = 'Toggle LED';

    var r = Math.random();
    if ((r > 0.5)&&(r < 0.7))
       led.color = 'red';
    else if (r >= 0.7)
       led.color = 'blue';

    led.connect( btn, 'toggled(bool)', 'toggle()' );
}

var vbox = new QVBox( 'test' );
vbox.margin = 6;
vbox.spacing = 4;

var ttl = new QLabel( vbox );
ttl.text = '<h1>Connections</h1>';

for ( var i = 0 ; i < 10 ; i++ )
    item( vbox );

var quit = new QPushButton( vbox );
quit.text = '&Quit';
vbox.connect( quit, 'clicked()', 'close()' );

vbox.show();
application.exec();
